Subject: TSVWG Status Update (Jan 2011)

From: Gorry Fairhurst <[email-masked]>
Date: Mon, 03 Jan 2011 15:56:54 +0000

The email below gives a brief snapshot of the current WG status for Jan
2011.

Please look at what needs to be done.

Do send notes of any corrections to [email-masked].

Gorry   James
(TSVWG Chairs)

==================================================================

RFC Published:

draft-ietf-tsvwg-admitted-realtime-dscp-07 (RFC 5865)
draft-ietf-tsvwg-rsvp-proxy-approaches-09 (RFC 5945)
draft-ietf-tsvwg-rsvp-proxy-proto-11 (RFC 5946)
draft-ietf-tsvwg-rsvp-l3vpn-07 (RFC 6016)
draft-ietf-tsvwg-ecn-tunnel-10 (RFC6040)

---
IDs in RFC Editor Queue:

draft-ietf-tsvwg-emergency-rsvp-15 (MISREF)
Norm. ref to router alert draft (in the INT-area WG)

draft-ietf-tsvwg-port-randomization-09 (Auth-48: Awaiting Shepherd)
James is Shepherd.

draft-ietf-tsvwg-emergency-rsvp (MISREF)
Norm. ref to router alert draft (in the INT-area WG)

draft-ietf-tsvwg-sctp-chunk-flags-02 (RFC-Ed)
    was: draft-tuexen-tsvwg-sctp-chunk-flags.
    TSVWG supported adoption (6 people, concluded 3/6/2010).
    List of reviewers supplied by document editor.
    WGLC ended Sept 6th 2010.
    New revision 7th Sept 2010.
    Proto write-up sent by shepherd 22/9/2010.
    IETF Last Call ended 7/10/2010.
    With RFC-Ed
  Gorry is Shepherd.

draft-ietf-tsvwg-dtls-for-sctp-06
   Proto write-up sent by shepherd
   AUTH-48 (Auth-48: Awaiting E Rescorla)
Gorry is Shepherd.

-------------------------------------------------------------------

IDs in IESG processing:

None.

-------------------------------------------------------------------

WG Drafts with Chairs:

draft-ietf-tsvwg-rsvp-security-groupkeying
     WGLC of previous version completed.
     SECDIR review comments received, and updated as version -05.
     Short WGLC to confirm new text ended August 11th 2010.
     New version 22-10-2010.
     Due: Proto write-up needed by shepherd.
   James is Shepherd.

-------------------------------------------------------------------

WG Drafts:

draft-ietf-tsvwg-sctpsocket
     Expecting WGLC.
     New revision 25 Oct 2010.
     This will require an apps area review in WGLC.
     Due: Please volunteer to review this draft in WGLC.
     Due: WGLC due January 2011.

draft-ietf-tsvwg-sctp-strrst
     Dependency on this for IPFIX document with RFC-Ed.
     Benoit Claise to review for IPFIX
     New revision (-08) 25 Oct 2010.
	Text on race-condition to be updated before WGLC
     Due: Please volunteer to review this draft in WGLC.
     Due: WGLC due January 2011.

draft-ietf-tsvwg-iana-ports
     New revision 25 Oct 2010.
     Please volunteer to review this draft in WGLC.
     This will require a multi-working group LC.
        ADs to advice on which WGs need to be a part of LC.
        AD review received 21/12/2010.
     Due: Please volunteer to review this draft in WGLC.
     Due: WGLC due January 2011.
   Gorry is Shepherd.

draft-ietf-tsvwg-byte-pkt-congest
     New editor added Jul 2010.
     New revision 25 Oct 2010.
     Comments needed before deciding if ready for WGLC.

draft-ietf-tsvwg-sctp-udp-encap
     was: draft-tuexen-sctp-udp-encap
     Lars sent a note as AD agreeing to progress this work.
     Work to be coordinated with DCCP work on encaps.
     Adopted as a work item 21 Sept 2010 (Gorry).
	No WG -00 draft.
     New revision expected.

draft-ietf-tsvwg-natsupp-tsvwg
     was: draft-stewart-natsupp-tsvwg.
     Dependency from BEHAVE WG.
     Adopted as a work item 21 Sept 2010 (Gorry).
	WG -00, 29/11/2010
     New revision expected.

-------------------------------------------------------------------

WG action required:

draft-gont-tsvwg-source-quench-01.txt
      IETF-79 suggested there was interest in this topic.
      Comments to list in 2010 from: Fred Baker, Antonio DeSimone,
	James Polk, Gorry Fairhurst, Andrew Yourtchenko, and others.
      WG needs to assess if the new draft should be a work item.

-------------------------------------------------------------------

The following have received recent discussion at TSVWG meetings or on
the list. Inclusion in the list below does not indicate support for
these specific drafts and other contributions are also warmly welcomed.

draft-stewart-tsvwg-sctp-nonce
      IETF-78 suggested there was interest in this topic.
      Please comment to list.
      Revised draft to be uploaded with new name.
      WG needs to assess if the new draft should be a work item.

  draft-polk-tsvwg-intserv-multiple-tspec
      RSVP directorate to be consulted.
      WG interest in this topic recorded at IETF-78.
      Charter update would be needed to progress this work.
      5 Reviews needed to determine energy/technical direction.
      Author will update -04.
      New revision expected.

  draft-lefaucheur-tsvwg-rsvp-multiple-preemption
      RSVP directorate to be consulted.
	- Reviewers: Bruce Davie (awaiting other reviews)
      WG needs to assess if this topic should be a work item.

  draft-wing-tsvwg-happy-eyeballs-sctp
      Please comment to list.

  draft-tuexen-tsvwg-sctp-multipath
      Please comment to list.

  draft-tuexen-tsvwg-sctp-sack-immediately
      Please comment to list.

  draft-lei-tsvwg-sctp-compr-requirements-profile
      Please comment to list.

  draft-wei-tsvwg-nested-header-compression
      Please comment to list.

  draft-nishida-tsvwg-sctp-failover
      Please comment to list.

  draft-narayanan-tsvwg-rsvp-resource-sharing
      Please comment to list.

  draft-polk-tsvwg-rsvp-app-id-vv-profiles
      Please comment to list.

  draft-nishida-natarajan-sctp-failover
      Please comment to list.

  draft-wei-tsvwg-nested-header-compression
      Please comment to list.

-------------------------------------------------------------------

Related non-WG items:

draft-fairhurst-tsvwg-6man-udpzero
      Draft was adopted by 6man, please discuss on the 6man list.
      This will be LC'ed in TSVWG also.

draft-ietf-dccp-udpencap
      DCCP WG item linked to encaps (WGLC)

draft-narayanan-tsvwg-rsvp-resource-sharing
      Authors will take this draft to CCAMP WG.

  draft-ietf-behave-sctpnat-03.txt
      BEHAVE WG item linked to SCTP encapsulation work.

------------------------------------------------------------------

Other news:

  RSVP Directorate (formed in May 2010)
    - Rules and guidelines to be formulated

  Charter to be updated to indicate procedure for adoption.

------------------------------------------------------------------
------------------------------------------------------------------